package monnethic.mobile.homepage;

import android.content.Intent;
import android.os.AsyncTask;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;

import com.example.monnthic.monnethicmobile.R;

import monnethic.mobile.database.User;

public class HomepageActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_homepage);
        Button bRegister = findViewById(R.id.register);
        Button bLogin = findViewById(R.id.login);

        bRegister.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                launchRegisterActivity();
            }
        });
        bLogin.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                launchLoginActivity();
            }
        });
    }

    public void launchRegisterActivity(){
        Intent registerIntent = new Intent(HomepageActivity.this, RegisterActivity.class);
        HomepageActivity.this.startActivity(registerIntent);
    }

    public void launchLoginActivity(){
        Intent loginIntent = new Intent(HomepageActivity.this, LoginActivity.class);
        HomepageActivity.this.startActivity(loginIntent);
    }

}
