package monnethic.mobile.transaction;

import android.content.Intent;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;

import com.example.monnthic.monnethicmobile.R;

import monnethic.mobile.qrcode.QrCodeActivity;

public class ReceivePayementActivity extends AppCompatActivity {
    Button cancelButton;
    Button validateButton;
    EditText amountValueEdit;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_receive_payement);
        cancelButton=findViewById(R.id.buttonCancel);
        validateButton=findViewById(R.id.buttonValidate);
        amountValueEdit=findViewById(R.id.amountValue);

        cancelButton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                finish();
            }
        });
        validateButton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                generateQrCodeWithValue(amountValueEdit.getText().toString());
            }
        });
    }

    public void generateQrCodeWithValue(String value){
        Intent generateQrIntent = new Intent(ReceivePayementActivity.this, QrCodeActivity.class);
        generateQrIntent.putExtra("adresse","addresseAAAA");
        generateQrIntent.putExtra("value",value);
        ReceivePayementActivity.this.startActivity(generateQrIntent);
    }
}
